SystemOrganization addCategory: #QuickPrototyping!

!SequenceableCollection methodsFor: '*QuickPrototyping' stamp: 'HwaJong 1/3/2013 12:24'!
columnPanelMorph
	^(UITheme builder
		newColumn: self)
		hResizing: #shrinkWrap;
		vResizing: #shrinkWrap! !

!SequenceableCollection methodsFor: '*QuickPrototyping' stamp: 'HwaJong 1/3/2013 12:26'!
panelMorphFrom2DArray
	^(self collect: [:each| each rowPanelMorph]) columnPanelMorph! !

!SequenceableCollection methodsFor: '*QuickPrototyping' stamp: 'HwaJong 1/3/2013 12:22'!
rowPanelMorph
	^(UITheme builder newRow: self)
		hResizing: #shrinkWrap;
		vResizing: #shrinkWrap! !

!Object methodsFor: '*QuickPrototyping' stamp: 'HwaJong 1/4/2013 00:24'!
alwaysTrue
	^true! !

Object subclass: #QuickPrototyping
	instanceVariableNames: 'model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'QuickPrototyping'!

!QuickPrototyping classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 1/4/2013 00:39'!
for: anObject
	^self new model: anObject! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:23'!
button: aString action: aSymbol
	^UITheme builder newButtonFor: model action: aSymbol label: aString help: nil! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:54'!
column: anArray 
	^(UITheme builder newColumn: anArray)
		hResizing: #shrinkWrap;
		vResizing: #shrinkWrap! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:47'!
group: aMorph 
	^UITheme builder newGroupboxFor: aMorph! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 11:04'!
groupedColumn: anArray 
	^self group: (self column: anArray)! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 11:08'!
groupedRow: anArray 
	^self group: (self row: anArray)! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:21'!
label: aSymbol
	^UITheme builder newLabelFor: model getLabel: aSymbol getEnabled: #alwaysTrue.! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 13:42'!
list: listGetter index: indexGetter
	^self list: listGetter index: indexGetter width: 90! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 13:41'!
list: listGetter index: indexGetter width: anInteger
	^(UITheme builder newListFor: model list: listGetter selected: indexGetter changeSelected: (indexGetter , ':') asSymbol help: nil) minWidth: anInteger! !

!QuickPrototyping methodsFor: 'accessing' stamp: 'HwaJong 1/4/2013 00:19'!
model
	^ model! !

!QuickPrototyping methodsFor: 'accessing' stamp: 'HwaJong 1/4/2013 00:19'!
model: anObject
	model := anObject! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:28'!
panel2D: anArray 
	^self column: (anArray collect: [:arr | self row: arr ])! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 00:54'!
row: anArray 
	^(UITheme builder newRow: anArray)
		hResizing: #shrinkWrap;
		vResizing: #shrinkWrap! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 01:03'!
staticLabel: aString 
	^UITheme builder newLabel: aString! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 23:33'!
text: aByteSymbol 
	^self text: aByteSymbol width: 53! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 23:25'!
text: aByteSymbol width: aNumber
	^(UITheme builder newTextEntryFor: model getText: aByteSymbol setText: (aByteSymbol , ':') asSymbol getEnabled: nil help: nil) minWidth: aNumber! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 23:35'!
title: aByteString text: aByteSymbol 
	^self groupedRow: {self staticLabel: aByteString. self text: aByteSymbol}! !

!QuickPrototyping methodsFor: 'creating widget' stamp: 'HwaJong 1/4/2013 23:25'!
title: aByteString text: aByteSymbol width: aNumber
	^self groupedRow: {self staticLabel: aByteString. self text: aByteSymbol width: aNumber}! !
